<?php

namespace Factory;

use Zeedhi\DevOps\Model\Projectmanagement\Entities\Project;
use \Zeedhi\DevOps\Model\Profile\Entities\AclLabels as AclLabelsEntity;

class AclLabels {

    /**
     * @param Project $project
     * @param $labelsFile
     * @return AclLabelsEntity
     */
    public function createAclLabels(Project $project, $labelsFile): AclLabelsEntity
    {
        $entity = new AclLabelsEntity();
        $entity->setProject($project);
        $entity->setLabelsFile($labelsFile);
        return $entity;
    }
    /**
     * @param AclLabelsEntity $aclLabelsEntity
     * @param $labelsFile
     * @return AclLabelsEntity
     */
    public function updateAclLabels(AclLabelsEntity $aclLabelsEntity, $labelsFile): AclLabelsEntity
    {
        $aclLabelsEntity->setLabelsFile($labelsFile);
        return $aclLabelsEntity;
    }
}
