<?php


namespace Service;

use Util\InstanceProvider;
use Zeedhi\Framework\Session\Session;
use \Util\Utilities;
use \Doctrine\ORM\EntityManager;
use Zeedhi\DevOps\Util\Utilities as DevOpsUtilities;

class Label
{
    /**
     * @var Utilities
     */
    private $environment;

    public function __construct(Utilities $environment)
    {
        $this->environment = $environment;
    }

    public function findLabelFromLikeProjectNameTaskTracking(){
		return InstanceProvider::getRepository()->getLocalTask()->findLabelsByFilter($this->environment->getCurrentOrganizationId(),$this->environment->getCurrentUserId());
	}
}